<div class="container row">
    <mat-card class="col-sm-12 col-mat-12	col-lg-12 col-xl-12">
      <mat-card-title >Registrar Inventario Inicial
        <span class="tky-right example-margin" >Datos del producto</span>
      </mat-card-title>
      <mat-card-content>

<form novalidate [formGroup]="form">
    
<table class="field-full-width center-text text-center" cellspacing="0">
  <div class="row">
    <h3 class="example-full-width  center-text text-center">
      <mat-form-field class="example-full-width  center-text text-center">
          <mat-select placeholder="Seleccione un codigo" formControlName="selectCode">
            <mat-option *ngFor="let code of codeList" required [value]="code">
              {{ code.code}}
            </mat-option>
          </mat-select>

          <mat-error *ngIf="form.controls.selectCode.errors && form.controls.selectCode.touched">
            <mat-error *ngIf="form.controls.selectCode.errors.required">
              el code es rerquedio es
              <strong>requerido</strong>
            </mat-error>
          </mat-error>
        </mat-form-field>
      </h3>
    
  </div>
 
  <div class="row" *ngIf="isVisible ">
      <mat-card class="example-full-width">
        <h4 class="text-center" matTooltip="{{currentProduct?.description_product? currentProduct?.description_product:''}}" >Producto: {{currentProduct?.name_product}}
          
          <span>
              <h5 class="text-center tky-right" matTooltip="{{productor?.common?.description? productor?.common?.description:''}}">Productor
                {{productor?.common?.name? productor.common?.name:'No Tiene'}}
              </h5>
          </span>
        </h4>
      
        <div class="row">
          <div class="col">Unidad
            <h5 class="text-center " matTooltip="{{measureUnit?.description_measure_unit? measureUnit?.description_measure_unit:''}}">{{measureUnit?.name_measure_unit? measureUnit?.name_measure_unit:'No Tiene'}}</h5>
          </div>
          <div class="col">Atributos
              <mat-nav-list>
                  <mat-list-item  *ngFor="let attribDetail of attributeDetailList; let i=index">
                    <h3 matLine> {{i+1}} {{ getAttriByValue(attribDetail.value.id_attribute) }} </h3>
                    <p matLine>
                      <span class="demo-2"> {{attribDetail.value.name_attrib_value}} </span>
                    </p>
                  </mat-list-item >
                </mat-nav-list>
          </div>
          <div class="col">Categorias
            <mat-nav-list>
              <mat-list-item  *ngFor="let category of categoryListFathers; let i=index">
                <h3 matLine> {{i+1}} {{category.common?.name}} </h3>
                <p matLine>
                  <span class="demo-2"> {{category.common?.description}} </span>
                </p>
              </mat-list-item >
            </mat-nav-list>
          </div>

          
        </div>
      </mat-card>
    </div>
  
    <br>

  <mat-card class=" example-full-width"  *ngIf="isVisible">
    <div class="row ">
    
      <div class=" col-sm-12	col-mat-6	col-lg-6 col-xl-6 example-full-width">
          <h6 >
            <mat-form-field class="example-full-width" >
              <input matInput placeholder="Precio Sugerido (Deshabilidado)" formControlName="min_price" >
              <mat-error *ngIf="form.controls.min_price.errors && form.controls.min_price.touched">
                <mat-error *ngIf="form.controls.min_price.errors.required">
                  Precio sugerido es requerido:
                  <strong>requerido</strong>
                </mat-error>
              </mat-error>
            </mat-form-field>
          </h6>
        </div>
            
          <div class="col-sm-12	col-mat-6	col-lg-6 col-xl-6 example-full-width">
            <h6 >
                <mat-form-field class="example-full-width">
                    <span matPrefix>$ &nbsp;</span>
                  <input matInput placeholder="Precio de Venta" formControlName="standard_price">
                  <mat-error *ngIf="form.controls.standard_price.errors && form.controls.standard_price.touched">
                    <mat-error *ngIf="form.controls.standard_price.errors.required">
                      El precio de Venta es requerido
                      <strong>requerido</strong>
                    </mat-error>
                  </mat-error>
                </mat-form-field>
            </h6>
          </div>
       
  
        </div>

        <div class="row example-full-width">
            <div class=" col-sm-12	col-mat-6	col-lg-6 col-xl-6 example-full-width">
              <mat-form-field class="example-full-width">
                <input matInput placeholder="Localizacion" formControlName="location">
                <mat-error *ngIf="form.controls.location.errors && form.controls.location.touched">
                  <mat-error *ngIf="form.controls.location.errors.required">
                    La localizacion es requerida
                    <strong>requerido</strong>
                  </mat-error>
                </mat-error>
              </mat-form-field>
            </div>
            <div class=" col-sm-12	col-mat-6	col-lg-6 col-xl-6 example-full-width">
                <mat-form-field class="example-full-width">
                  <input matInput placeholder="Cantidad" formControlName="quantity">
                  <mat-error *ngIf="form.controls.quantity.errors && form.controls.quantity.touched">
                    <mat-error *ngIf="form.controls.quantity.errors.required">
                      La Cantidad es requerida
                      <strong>requerido</strong>
                    </mat-error>
                  </mat-error>
                </mat-form-field>
              </div>
            </div>
</mat-card>



</table>

</form>


</mat-card-content>

    <button mat-button (click)="goBack()"  > Atras </button>

    <button mat-raised-button color="primary" [disabled]="!form.valid" (click)="createNewProductThird()"  class="tky-right padding" *ngIf="isVisible"> 
      <mat-icon>save</mat-icon> Guardar
    </button>
    <button mat-raised-button color="warn"   [disabled]="!isVisible" (click)="resetForm()"  class="tky-right" *ngIf="isVisible">
       <mat-icon>clear</mat-icon> Limpiar   
      </button>

  </mat-card>
</div>